Mule FTPS Connector Studio Demo
==============================

Mule Studio demo for ModusBox's FTPS connector.

How to Run the Demo
---------------

1. Import the project folder in Studio
2. Specify your credentials and FTP server settings in `/src/main/resources/mule.properties`
3. Setup your local and remote file settings and run the application

Once done you'll get 4 endpoints at `http://localhost:8081/`, namely:

* `/upload-sample` which uploads a file to the server in JSON format.
* `/read-sample` which downloads the recently uploaded file and puts it on the `./target` folder using DataWeave to transform it to XML.
* `/start-loop` which will download a file and then upload it with the same name which in turn will trigger the downlaod again creating an endless loop.
* `/stop-loop` which will stop the mentioned loop.

About the Demo
--------------

The demo includes the following examples:
* Read a file from the remote FTP server over a TLS/SSL connection
* Read one or more files from the remote FTP server over a TLS/SSL connection using a wildcard pattern
* Write a local file to the FTP server securely 
